# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain
Class Login

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.appsforyourdomain.Login

All Implemented Interfaces:
  Extension

    public class Login

extends ExtensionPoint
implements Extension

A name space element: "apps:login". Used to model a user account in Google Apps for Your Domain. Has attributes "userName", "password", "suspended", "ipWhitelisted" and "hashFunctionName".

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`protected java.lang.Boolean` `admin`
`protected java.lang.Boolean` `agreedToTerms`
`static java.lang.String` `ATTRIBUTE_ADMIN`
`static java.lang.String` `ATTRIBUTE_AGREED_TO_TERMS`
`static java.lang.String` `ATTRIBUTE_CHANGE_PASSWORD_AT_NEXT_LOGIN`
`static java.lang.String` `ATTRIBUTE_HASH_FUNCTION_NAME`
`static java.lang.String` `ATTRIBUTE_IPWHITELISTED`
`static java.lang.String` `ATTRIBUTE_PASSWORD`
`static java.lang.String` `ATTRIBUTE_SUSPENDED`
`static java.lang.String` `ATTRIBUTE_USER_NAME`
`protected java.lang.Boolean` `changePasswordAtNextLogin`
`static java.lang.String` `EXTENSION_LOCAL_NAME`
`protected java.lang.String` `hashFunctionName`
`protected java.lang.Boolean` `ipWhitelisted`
`protected java.lang.String` `password`
`protected java.lang.Boolean` `suspended`
`protected java.lang.String` `userName`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Login()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extensionProfile)` Generates an XML representation for the extension.
`java.lang.Boolean` `getAdmin()`
`java.lang.Boolean` `getAgreedToTerms()`
`java.lang.Boolean` `getChangePasswordAtNextLogin()`
`static ExtensionDescription` `getDefaultDescription()`
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.lang.String` `getHashFunctionName()`
`java.lang.Boolean` `getIpWhitelisted()`
`java.lang.String` `getPassword()`
`java.lang.Boolean` `getSuspended()`
`java.lang.String` `getUserName()`
`void` `setAdmin(java.lang.Boolean b)`
`void` `setAgreedToTerms(java.lang.Boolean b)`
`void` `setChangePasswordAtNextLogin(java.lang.Boolean b)`
`void` `setHashFunctionName(java.lang.String h)`
`void` `setIpWhitelisted(java.lang.Boolean b)`
`void` `setPassword(java.lang.String password)`
`void` `setSuspended(java.lang.Boolean b)`
`void` `setUserName(java.lang.String userName)`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTENSION_LOCAL_NAME

    public static final java.lang.String EXTENSION_LOCAL_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_USER_NAME

    public static final java.lang.String ATTRIBUTE_USER_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_PASSWORD

    public static final java.lang.String ATTRIBUTE_PASSWORD

See Also:
  Constant Field Values

### ATTRIBUTE_SUSPENDED

    public static final java.lang.String ATTRIBUTE_SUSPENDED

See Also:
  Constant Field Values

### ATTRIBUTE_IPWHITELISTED

    public static final java.lang.String ATTRIBUTE_IPWHITELISTED

See Also:
  Constant Field Values

### ATTRIBUTE_HASH_FUNCTION_NAME

    public static final java.lang.String ATTRIBUTE_HASH_FUNCTION_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_ADMIN

    public static final java.lang.String ATTRIBUTE_ADMIN

See Also:
  Constant Field Values

### ATTRIBUTE_AGREED_TO_TERMS

    public static final java.lang.String ATTRIBUTE_AGREED_TO_TERMS

See Also:
  Constant Field Values

### ATTRIBUTE_CHANGE_PASSWORD_AT_NEXT_LOGIN

    public static final java.lang.String ATTRIBUTE_CHANGE_PASSWORD_AT_NEXT_LOGIN

See Also:
  Constant Field Values

### userName

    protected java.lang.String userName

### password

    protected java.lang.String password

### suspended

    protected java.lang.Boolean suspended

### ipWhitelisted

    protected java.lang.Boolean ipWhitelisted

### hashFunctionName

    protected java.lang.String hashFunctionName

### admin

    protected java.lang.Boolean admin

### agreedToTerms

    protected java.lang.Boolean agreedToTerms

### changePasswordAtNextLogin

    protected java.lang.Boolean changePasswordAtNextLogin

Constructor Detail

### Login

    public Login()

Method Detail

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getSuspended

    public java.lang.Boolean getSuspended()

### setSuspended

    public void setSuspended(java.lang.Boolean b)

### getIpWhitelisted

    public java.lang.Boolean getIpWhitelisted()

### setIpWhitelisted

    public void setIpWhitelisted(java.lang.Boolean b)

### getHashFunctionName

    public java.lang.String getHashFunctionName()

### setHashFunctionName

    public void setHashFunctionName(java.lang.String h)

### getAdmin

    public java.lang.Boolean getAdmin()

### setAdmin

    public void setAdmin(java.lang.Boolean b)

### getAgreedToTerms

    public java.lang.Boolean getAgreedToTerms()

### setAgreedToTerms

    public void setAgreedToTerms(java.lang.Boolean b)

### getChangePasswordAtNextLogin

    public java.lang.Boolean getChangePasswordAtNextLogin()

### setChangePasswordAtNextLogin

    public void setChangePasswordAtNextLogin(java.lang.Boolean b)

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns:
    Description of this extension

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extensionProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extensionProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)
                                        throws ParseException

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler
  Throws:
    `ParseException` - when an unexpected tag or badly-formatted XML is detected